/*
    Парус 8 - Панели мониторинга - ПУДП - Пользовательская инструкция
    Панель мониторинга: Пользовательская инструкция
*/

//---------------------
//Подключение библиотек
//---------------------

import React, { useContext, useState } from "react"; //Классы React
import PropTypes from "prop-types"; //Контроль свойств компонента
import { Box, Grid, Typography, Link, List, ListItem, ListItemButton, ListItemText, Divider, Fab, Icon } from "@mui/material"; //Интерфейсные элементы
import { BUTTONS } from "../../../app.text"; //Текстовые ресурсы
import { ApplicationСtx } from "../../context/application"; //Контекст приложения
import img1_1 from "./img/1_1.png"; //Изображение
import img1_2 from "./img/1_2.png"; //Изображение
import img1_3 from "./img/1_3.png"; //Изображение
import img1_4 from "./img/1_4.png"; //Изображение
import img1_5 from "./img/1_5.png"; //Изображение
import img2_1 from "./img/2_1.png"; //Изображение
import img2_2 from "./img/2_2.png"; //Изображение
import img2_3 from "./img/2_3.png"; //Изображение
import img2_4 from "./img/2_4.png"; //Изображение
import img2_5 from "./img/2_5.png"; //Изображение
import img21_1 from "./img/21_1.png"; //Изображение
import img21_2 from "./img/21_2.png"; //Изображение
import img21_3 from "./img/21_3.png"; //Изображение
import img3_1 from "./img/3_1.png"; //Изображение
import img31_1 from "./img/31_1.png"; //Изображение
import img31_2 from "./img/31_2.png"; //Изображение
import img31_3 from "./img/31_3.png"; //Изображение
import img31_4 from "./img/31_4.png"; //Изображение
import img31_5 from "./img/31_5.png"; //Изображение
import img31_6 from "./img/31_6.png"; //Изображение
import img31_7 from "./img/31_7.png"; //Изображение
import img31_8 from "./img/31_8.png"; //Изображение
import img31_9 from "./img/31_9.png"; //Изображение
import img31_10 from "./img/31_10.png"; //Изображение
import img32_1 from "./img/32_1.png"; //Изображение
import img32_2 from "./img/32_2.png"; //Изображение
import img32_3 from "./img/32_3.png"; //Изображение
import img33_1 from "./img/33_1.png"; //Изображение
import img33_2 from "./img/33_2.png"; //Изображение
import img33_3 from "./img/33_3.png"; //Изображение
import img33_4 from "./img/33_4.png"; //Изображение
import img34_1 from "./img/34_1.png"; //Изображение
import img34_2 from "./img/34_2.png"; //Изображение
import img34_3 from "./img/34_3.png"; //Изображение
import img34_4 from "./img/34_4.png"; //Изображение
import img34_5 from "./img/34_5.png"; //Изображение
import img34_6 from "./img/34_6.png"; //Изображение
import img34_7 from "./img/34_7.png"; //Изображение
import img34_8 from "./img/34_8.png"; //Изображение
import img35_1 from "./img/35_1.png"; //Изображение
import img41_1 from "./img/41_1.png"; //Изображение
import img41_2 from "./img/41_2.png"; //Изображение
import img41_3 from "./img/41_3.png"; //Изображение
import img41_4 from "./img/41_4.png"; //Изображение
import img41_5 from "./img/41_5.png"; //Изображение
import img41_6 from "./img/41_6.png"; //Изображение
import img41_7 from "./img/41_7.png"; //Изображение
import img41_8 from "./img/41_8.png"; //Изображение
import img41_9 from "./img/41_9.png"; //Изображение
import img41_10 from "./img/41_10.png"; //Изображение
import img41_11 from "./img/41_11.png"; //Изображение
import img41_12 from "./img/41_12.png"; //Изображение
import img42_1 from "./img/42_1.png"; //Изображение
import img42_2 from "./img/42_2.png"; //Изображение
import img42_3 from "./img/42_3.png"; //Изображение
import img42_4 from "./img/42_4.png"; //Изображение
import img43_1 from "./img/43_1.png"; //Изображение
import img43_2 from "./img/43_2.png"; //Изображение
import img43_3 from "./img/43_3.png"; //Изображение
import img43_4 from "./img/43_4.png"; //Изображение
import img43_5 from "./img/43_5.png"; //Изображение
import img43_6 from "./img/43_6.png"; //Изображение
import img43_7 from "./img/43_7.png"; //Изображение
import img43_8 from "./img/43_8.png"; //Изображение
import img44_1 from "./img/44_1.png"; //Изображение
import img44_2 from "./img/44_2.png"; //Изображение
import img44_3 from "./img/44_3.png"; //Изображение
import img44_4 from "./img/44_4.png"; //Изображение
import img44_5 from "./img/44_5.png"; //Изображение
import img44_6 from "./img/44_6.png"; //Изображение
import img44_7 from "./img/44_7.png"; //Изображение
import img44_8 from "./img/44_8.png"; //Изображение
import img44_9 from "./img/44_9.png"; //Изображение
import img44_10 from "./img/44_10.png"; //Изображение
import img45_1 from "./img/45_1.png"; //Изображение
import img45_2 from "./img/45_2.png"; //Изображение
import img45_3 from "./img/45_3.png"; //Изображение
import img45_4 from "./img/45_4.png"; //Изображение
import img45_5 from "./img/45_5.png"; //Изображение
import img45_6 from "./img/45_6.png"; //Изображение
import img45_7 from "./img/45_7.png"; //Изображение
import img45_8 from "./img/45_8.png"; //Изображение
import img45_9 from "./img/45_9.png"; //Изображение
import img45_10 from "./img/45_10.png"; //Изображение
import img46_1 from "./img/46_1.png"; //Изображение
import img46_2 from "./img/46_2.png"; //Изображение
import img46_3 from "./img/46_3.png"; //Изображение
import img46_4 from "./img/46_4.png"; //Изображение
import img46_5 from "./img/46_5.png"; //Изображение
import img46_6 from "./img/46_6.png"; //Изображение
import img47_1 from "./img/47_1.png"; //Изображение
import img47_2 from "./img/47_2.png"; //Изображение
import img47_3 from "./img/47_3.png"; //Изображение
import img47_4 from "./img/47_4.png"; //Изображение
import img47_5 from "./img/47_5.png"; //Изображение
import img47_6 from "./img/47_6.png"; //Изображение
import img47_7 from "./img/47_7.png"; //Изображение
import img47_8 from "./img/47_8.png"; //Изображение
import img47_9 from "./img/47_9.png"; //Изображение
import img47_10 from "./img/47_10.png"; //Изображение
import img47_11 from "./img/47_11.png"; //Изображение
import img47_12 from "./img/47_12.png"; //Изображение
import img48_1 from "./img/48_1.png"; //Изображение
import img48_2 from "./img/48_2.png"; //Изображение
import img48_3 from "./img/48_3.png"; //Изображение
import img48_4 from "./img/48_4.png"; //Изображение
import img49_1 from "./img/49_1.png"; //Изображение
import img49_2 from "./img/49_2.png"; //Изображение
import img49_3 from "./img/49_3.png"; //Изображение
import img410_1 from "./img/410_1.png"; //Изображение
import img410_2 from "./img/410_2.png"; //Изображение
import img410_3 from "./img/410_3.png"; //Изображение
import img410_4 from "./img/410_4.png"; //Изображение
import img410_5 from "./img/410_5.png"; //Изображение
import img410_6 from "./img/410_6.png"; //Изображение
import img410_7 from "./img/410_7.png"; //Изображение
import img411_1 from "./img/411_1.png"; //Изображение
import img411_2 from "./img/411_2.png"; //Изображение
import img411_3 from "./img/411_3.png"; //Изображение
import img411_4 from "./img/411_4.png"; //Изображение
import img412_1 from "./img/412_1.png"; //Изображение
import img412_2 from "./img/412_2.png"; //Изображение
import img412_3 from "./img/412_3.png"; //Изображение
import img412_4 from "./img/412_4.png"; //Изображение
import img413_1 from "./img/413_1.png"; //Изображение
import img413_2 from "./img/413_2.png"; //Изображение
import img413_3 from "./img/413_3.png"; //Изображение
import img413_4 from "./img/413_4.png"; //Изображение
import img413_5 from "./img/413_5.png"; //Изображение
import img414_1 from "./img/414_1.png"; //Изображение
import img414_2 from "./img/414_2.png"; //Изображение
import img414_3 from "./img/414_3.png"; //Изображение
import imgAdd1_1 from "./img/add1_1.png"; //Изображение
import imgAdd1_2 from "./img/add1_2.png"; //Изображение
import imgAdd1_3 from "./img/add1_3.png"; //Изображение
import imgAdd1_4 from "./img/add1_4.png"; //Изображение
import imgAdd1_5 from "./img/add1_5.png"; //Изображение
import imgAdd1_6 from "./img/add1_6.png"; //Изображение
import imgAdd1_7 from "./img/add1_7.png"; //Изображение
import imgAdd1_8 from "./img/add1_8.png"; //Изображение
import imgAdd1_9 from "./img/add1_9.png"; //Изображение

//---------
//Константы
//---------

//Оглавление
const CONTENT = [
    { id: "prg1", caption: "1. О структуре производства" },
    { id: "prg2", caption: "2. НСИ о продукции" },
    { id: "prg3", caption: "3. Планирование выпуска продукции" },
    { id: "prg4", caption: "4. Оперативное управление производством" },
    { id: "add1", caption: "Приложение: Краткая инструкция по настройке интерфейса" }
];

//Стили
const STYLES = {
    IMG_CONT: { textAlign: "center", padding: "10px" },
    IMG: { maxWidth: "100%", height: "auto" },
    PRGF_TABLE: { paddingTop: "20px", paddingBottom: "20px", display: "flex", justifyContent: "center" },
    TABLE: { width: "80%" },
    TABLE_TITLE: { backgroundColor: "lightgray" },
    TABLE_SUBTITLE: { textAlign: "center", backgroundColor: "#f3eded", fontWeight: "bold" },
    FAB_BACK: { position: "absolute", right: "20px", marginTop: "20px" }
};

//--------------------------------
//Вспомогательные функции и классы
//--------------------------------

//Переход к элементу страницы
const scrollToElement = id => document.getElementById(id).scrollIntoView();

//Заголовок первого уровня
const Hdr1 = ({ id, children }) => (
    <Typography {...(id ? { id } : {})} variant="h3" color="primary">
        {children}
    </Typography>
);

//Контроль свойств - Заголовок первого уровня
Hdr1.propTypes = {
    id: PropTypes.string,
    children: PropTypes.any
};

//Заголовок второго уровня
const Hdr2 = ({ id, children }) => (
    <Typography {...(id ? { id } : {})} variant="h4" color="secondary">
        {children}
    </Typography>
);

//Контроль свойств - Заголовок второго уровня
Hdr2.propTypes = {
    id: PropTypes.string,
    children: PropTypes.any
};

//Заголовок третьего уровня
const Hdr3 = ({ id, children }) => (
    <Typography {...(id ? { id } : {})} variant="h5" color="text.primary">
        {children}
    </Typography>
);

//Контроль свойств - Заголовок третьего уровня
Hdr3.propTypes = {
    id: PropTypes.string,
    children: PropTypes.any
};

//Параграф
const Prgf = ({ style, children }) => (
    <Typography sx={style} component="div" align="justify">
        {children}
    </Typography>
);

//Контроль свойств - Параграф
Prgf.propTypes = {
    style: PropTypes.object,
    children: PropTypes.any
};

//Изображение
const Img = ({ src }) => (
    <div style={STYLES.IMG_CONT}>
        <img src={`./${src}`} style={STYLES.IMG} />
    </div>
);

//Контроль свойств - Изображение
Img.propTypes = {
    src: PropTypes.string.isRequired
};

//Ссылка на раздел Системы
const UnitLink = ({ unitCode, children }) => {
    //Подключение к контексту приложения
    const { pOnlineShowUnit } = useContext(ApplicationСtx);

    //Генерация содержимого
    return (
        <Link component="button" variant="body2" align="left" underline="always" onClick={() => pOnlineShowUnit({ unitCode })}>
            {children}
        </Link>
    );
};

//Контроль свойств - Ссылка на раздел Системы
UnitLink.propTypes = {
    unitCode: PropTypes.string.isRequired,
    children: PropTypes.any
};

//Ссылка на главу инструкции
const ChapterLink = ({ id, dstId, onClick, children }) => {
    //Генерация содержимого
    return (
        <Link
            {...(id ? { id } : {})}
            component="button"
            variant="body2"
            align="left"
            underline="always"
            onClick={() => {
                scrollToElement(dstId);
                if (onClick && id) onClick(id);
            }}
        >
            {children}
        </Link>
    );
};

//Контроль свойств - Ссылка на главу инструкции
ChapterLink.propTypes = {
    id: PropTypes.string,
    dstId: PropTypes.string.isRequired,
    onClick: PropTypes.func,
    children: PropTypes.any
};

//Ссылка на информационную панель
const PanelLink = ({ panelName, children }) => {
    //Подключение к контексту приложения
    const { configUrlBase, findPanelByName, pOnlineShowTab } = useContext(ApplicationСtx);

    //Генерация содержимого
    return (
        <Link
            component="button"
            variant="body2"
            align="left"
            underline="always"
            onClick={() => {
                const panel = findPanelByName(panelName);
                if (panel) pOnlineShowTab({ id: panel.name, url: `${configUrlBase}${panel.url}`, caption: panel.caption });
            }}
        >
            {children}
        </Link>
    );
};

//Контроль свойств - Ссылка на информационную панель
PanelLink.propTypes = {
    panelName: PropTypes.string.isRequired,
    children: PropTypes.any
};

//-----------
//Тело модуля
//-----------

//Корневая панель пользовательской инструкции
const MechRecHelp = () => {
    //Собственное состояние
    const [navStack, setNavStack] = useState([]);

    //Переход по оглавлению
    const handleTitleClick = id => {
        scrollToElement(id);
        setNavStack([]);
    };

    //Обработка на нажатие ссылки на раздел
    const handleChapterLinkClick = backId => {
        const tmp = [...navStack];
        tmp.push(backId);
        setNavStack(tmp);
    };

    //Обработка нажатия на кнопку "Назад"
    const handleBackClick = () => {
        if (navStack.length > 0) {
            const tmp = [...navStack];
            const backId = tmp.pop();
            scrollToElement(backId);
            setNavStack(tmp);
        }
    };

    //Генерация содержимого
    return (
        <Box>
            {navStack.length > 0 ? (
                <Fab variant="extended" color="primary" sx={STYLES.FAB_BACK} onClick={handleBackClick}>
                    <Icon>arrow_back_ios</Icon>
                    {BUTTONS.NAVIGATE_BACK}
                </Fab>
            ) : null}
            <Grid container spacing={1}>
                <Grid item xs={2}>
                    <Box p={2}>
                        <Typography variant="button">Оперативное управление производством</Typography>
                    </Box>
                    <Divider />
                    <List>
                        {CONTENT.map((c, i) => (
                            <ListItem disablePadding key={i}>
                                <ListItemButton onClick={() => handleTitleClick(c.id)}>
                                    <ListItemText primary={c.caption} />
                                </ListItemButton>
                            </ListItem>
                        ))}
                    </List>
                </Grid>
                <Grid item xs={10} sx={{ display: "flex", flexDirection: "column", justifyContent: "center" }}>
                    <Box p={2} style={{ maxHeight: "91vh", overflow: "auto" }}>
                        <Hdr1>Оперативное управление производством</Hdr1>
                        <Hdr2 id={"prg1"}>1. О структуре производства</Hdr2>
                        <Prgf>В макете настроена штатная структура предприятия и определены склады подразделений.</Prgf>
                        <Prgf>Для просмотра штатной структуры перейдите в раздел «Подразделения».</Prgf>
                        <Img src={img1_1} />
                        <Prgf>
                            Производство состоит из 4 цехов, для цехов № 2 и № 4 определены участки. Участки цеха № 2 используются в описании макета
                            при формировании сменных заданий.
                        </Prgf>
                        <Img src={img1_2} />
                        <Prgf>
                            Для централизованного и внутрицехового учета материалов, покупных комплектующих (далее – ПКИ), деталей и сборочных единиц
                            (далее – ДСЕ) в макете определены склады. Для просмотра перечня складов перейдите в раздел «Склады».
                        </Prgf>
                        <Img src={img1_3} />
                        <Prgf>
                            Централизованный склад ЦМС используется для учета прихода материалов и ПКИ от поставщиков и выдачи в цеха. Склады цехов
                            используются для учета в цехе получения материалов и ПКИ с ЦМС, поступления готовых ДСЕ от других цехов и от участков
                            цеха, списание материалов, ПКИ и ДСЕ на затраты производства. На централизованный склад СГП выполняется сдача готовой
                            продукции.
                        </Prgf>
                        <Img src={img1_4} />
                        <Prgf>
                            Для выдачи заданий на станки в макете для участков цеха № 2 определено оборудование. Просмотреть оборудование можно в
                            разделе «Подразделения» в окне «Оборудование».
                        </Prgf>
                        <Img src={img1_5} />
                        <Hdr2 id={"prg2"}>2. НСИ о продукции</Hdr2>
                        <Prgf>
                            Нормативно-справочная информация (далее – НСИ) о продукции доступна для просмотра через пункт головного меню «Учет».
                        </Prgf>
                        <Img src={img2_1} />
                        <Prgf>
                            Для просмотра НСИ перейдите в разделы, указанные в строках контекстного меню. При переходе в разделы открывается окно
                            «Отбор», нажимайте в окне кнопку «ОК».
                        </Prgf>
                        <Prgf>Нормативная информация о производимой продукции в макете размещена в следующих разделах: </Prgf>
                        <Prgf>
                            <p>1) «Спецификации изделий»</p>
                        </Prgf>
                        <Img src={img2_2} />
                        <Prgf>Для изделий «Лебедка» и входящих в изделия сборочных единиц введены данные конструкторских составов.</Prgf>
                        <Prgf>
                            <p>2) «Ведомости материалов и оснастки»</p>
                        </Prgf>
                        <Img src={img2_3} />
                        <Prgf>Для деталей введены нормы расхода основного материала.</Prgf>
                        <Prgf>
                            <p>3) «Маршрутные карты»</p>
                        </Prgf>
                        <Img src={img2_4} />
                        <Prgf>Для изделий и ДСЕ введены данные маршрутных карт технологических процессов.</Prgf>
                        <Prgf>
                            <p>4) «Маршруты» в макете не используются, маршрут ДСЕ определяется маршрутной картой.</p>
                        </Prgf>
                        <Prgf>
                            Справочник материальных ресурсов, производимых и потребляемых в процессе производства продукции, находится в разделе
                            «Инженерные данные».
                        </Prgf>
                        <Img src={img2_5} />
                        <Hdr3>2.1. Производственные составы изделий</Hdr3>
                        <Prgf>
                            На основании нормативной информации для изделий «Лебедка» сформированы Производственные составы (далее – ПС). ПС
                            материальных ресурсов отображаются в разделе «Инженерные данные» в окне «Производственный состав».
                        </Prgf>
                        <Prgf>Пользователь может сформировать новые ПС и переформировать существующие, используя действия контекстного меню.</Prgf>
                        <Img src={img21_1} />
                        <Prgf>
                            ПС используется в процессе планирования производства продукции, как основной нормативный документ об изделии. ПС – это
                            иерархическая маршрутно-материальная ведомость изделия.
                        </Prgf>
                        <Prgf>Для просмотра состава ПС выполните на строке заголовка ПС действие «Показать».</Prgf>
                        <Img src={img21_2} />
                        <Prgf>
                            Для автоматического определения при планировании производства «какой ПС использовать» созданные в макете ПС изделий
                            «Лебедка» переведены в «Состояние» = «Производство» и определены как «используемые по умолчанию».
                        </Prgf>
                        <Img src={img21_3} />
                        <Hdr2 id={"prg3"}>3. Планирование выпуска продукции</Hdr2>
                        <Prgf>
                            Работа с планами производства, в т.ч. и с планами выпуска готовой продукции выполняется в разделе «Планы и отчеты
                            производства изделий».
                        </Prgf>
                        <Img src={img3_1} />
                        <Prgf>В «ПАРУС Предприятие 8» реализованы следующие Категории связанных планов производства:</Prgf>
                        <Prgf>
                            <p>
                                1) «Первичный план» - планы выпуска готовой продукции;
                                <br />
                                2) «Производственная программа» - календарные план-графики запуска/выпуска ДСЕ входящих в состав изделий,
                                запланированных к выпуску в первичном плане;
                                <br />
                                3) «Цеховой план» - производственные планы цехов на период (месяц, квартал), формируемые из производственных программ.
                            </p>
                        </Prgf>
                        <Prgf>Планы выпуска готовой продукции могут формироваться:</Prgf>
                        <Prgf>
                            <p>
                                1) На Заказ – для каждого заказа (например, договора поставки с потребителем) формируется план выпуска, с указанием
                                заказа;
                                <br />
                                2) На период (квартал, полугодие, год) – на период формируется один план выпуска и в план включается продукция всех
                                заказов, для которой дата выпуска попадает в период плана.
                            </p>
                        </Prgf>
                        <Prgf>В макете использован вариант формирования планов выпуска «на период».</Prgf>
                        <Hdr3 id={"prg31"}>3.1. Формирование плана выпуска</Hdr3>
                        <Prgf>В разделе «Планы и отчеты производства», в каталоге с именем Вашего пользователя, выполните действие «Добавить».</Prgf>
                        <Img src={img31_1} />
                        <Prgf style={{ backgroundColor: "LightYellow", padding: "5px" }}>
                            <b style={{ color: "red" }}>Внимание!!!</b> При выполнении действия в каталоге, не соответствующем Вашему пользователю,
                            выдается сообщение об ошибке.
                        </Prgf>
                        <Img src={img31_2} />
                        <Prgf>
                            На форме добавления плана выпуска укажите дату формирования плана и нажмите «ОК». Остальные параметры действия заполняются
                            автоматически.
                        </Prgf>
                        <Img src={img31_3} />
                        <Prgf>
                            В результате выполнения действия формируется заголовок плана выпуска на 2024 год и с пустой спецификацией в окне «Выпуск».
                        </Prgf>
                        <Img src={img31_4} />
                        <Prgf>
                            Спецификации плана выпуска формируется документами «Заказ на производство», являющимися основаниями для производства
                            продукции.
                        </Prgf>
                        <Prgf>
                            Заказы на производство в «ПАРУС Предприятие 8» формируются из договоров поставки, проектов ОКР с выпуском опытной партии
                            изделий или добавляются вручную.
                        </Prgf>
                        <Prgf>Для добавления заказа на производство перейдите в раздел «Заказы на производство»</Prgf>
                        <Img src={img31_5} />
                        <Prgf>и выполните действие «Добавить».</Prgf>
                        <Img src={img31_6} />
                        <Prgf>На форме параметров действия укажите:</Prgf>
                        <Prgf>
                            <p>
                                • «Дата» - дата документа;
                                <br />• «Лицевой счет» - выберете Заказ (Номер лицевого счета учета затрат);
                            </p>
                        </Prgf>
                        <Img src={img31_7} />
                        <Prgf>и нажмите «ОК».</Prgf>
                        <Prgf>
                            Для созданного заказа на производство в окне «Спецификация» выполните действие «Добавить» и введите на форме «Добавление…»
                        </Prgf>
                        <Img src={img31_8} />
                        <Prgf>
                            <p>
                                • «Номенклатура» - выберете изделие «Лебедка»;
                                <br />• «Дата исполнения» - укажите плановую дату выпуска;
                                <br />• «Количество в основной ЕИ» - укажите сколько изделий выпустить.
                            </p>
                        </Prgf>
                        <Prgf>
                            Сформированный заказ на производство утвердите (действие «Состояние – Утвердить») и включите в план производства (действие
                            «Включить в план…»).
                        </Prgf>
                        <Img src={img31_9} />
                        <Prgf>При включении в план выберете созданный ранее план выпуска.</Prgf>
                        <Prgf>
                            Результатом выполненных действий будет план выпуска со спецификацией продукции. Для дальнейшей работы с планом необходимо
                            его утвердить (действие «Состояние – Утвержден»).
                        </Prgf>
                        <Img src={img31_10} />
                        <Hdr3 id={"prg32"}>3.2. Планирование запуска-выпуска ДСЕ</Hdr3>
                        <Prgf>
                            Следующим шагом формируется производственная программа. На заголовке плана выпуска выполните действие «Формирование –
                            Сформировать производственную программу».
                        </Prgf>
                        <Img src={img32_1} />
                        <Prgf>На форме параметров действия</Prgf>
                        <Img src={img32_2} />
                        <Prgf>укажите:</Prgf>
                        <Prgf>
                            <p>
                                • «Каталог» - выберете каталог Вашего пользователя;
                                <br />• «Тип» - выберете «Производственная программа»;
                                <br />• «Префикс» - укажите год;
                                <br />• «Вид» = «План»;
                                <br />• «Котловые с учетом заказа» - установите этот чек;
                            </p>
                        </Prgf>
                        <Prgf>параметры указываются при первом выполнении действия и запоминаются.</Prgf>
                        <Prgf>
                            В результате выполнения действия сформируется заголовок Производственной программы и в спецификации «Выпуск» календарный
                            график запуска-выпуска изделий плана выпуска и ДСЕ входящих в изделия (по данным ПС изделий).
                        </Prgf>
                        <Img src={img32_3} />
                        <Prgf>Строки спецификации «Выпуск» содержат следующие данные:</Prgf>
                        <Prgf>
                            <p>
                                • «Уровень вложенности»: 0 – изделия из плана выпуска, 1 и далее – ДСЕ из ПС изделия по уровням входимости в состав
                                изделия;
                                <br />• «Выпуск» - количество планового выпуска (для изделий - из плана выпуска, для ДСЕ - рассчитанное по данным ПС);
                                <br />• «Дата выпуска» - плановая дата выпуска (для изделия - равна «Дата отгрузки» из плана выпуска, для ДСЕ -
                                рассчитанное по данным ПС);
                                <br />• «Дата запуска» - плановая дата запуска в производство (рассчитывается по данным ПС);
                            </p>
                        </Prgf>
                        <Prgf>Сформированную программу утвердите действием на заголовке «Состояние - Утвержден».</Prgf>
                        <Hdr3 id={"prg33"}>3.3. Планирование потребностей производства в ресурсах</Hdr3>
                        <Prgf>
                            Из производственной программы выполняется расчет потребностей производства в материалах и ПКИ, в персонале и оборудовании.
                        </Prgf>
                        <Prgf>
                            Выполните из заголовка производственной программы действия «Формирование – Сформировать потребность в материальных
                            ресурсах» и «Формирование – Сформировать потребность в мощностях».
                        </Prgf>
                        <Img src={img33_1} />
                        <Prgf>В параметрах действий требуется, при первом выполнении, выбрать каталог и указать Тип и Префикс документа.</Prgf>
                        <Img src={img33_2} />
                        <Prgf>После выполнения действий перейдите «по связям»</Prgf>
                        <Img src={img33_3} />
                        <Prgf>в сформированный документ «Потребности акты расхода производства изделий»</Prgf>
                        <Img src={img33_4} />
                        <Prgf>Документ «Потребность…» содержит следующую информацию:</Prgf>
                        <Prgf>
                            <p>
                                1) «Расход материальных ресурсов» - потребность в материалах и ПКИ на производственную программу;
                                <br />
                                2) «Трудозатраты» - плановая загрузка персонала (Трудовых ресурсов) цехов и участков цехов;
                                <br />
                                3) «Загрузка оборудования» - плановая загрузка оборудования (по группам оборудования).
                            </p>
                        </Prgf>
                        <Hdr3 id={"prg34"}>3.4. Планирование обеспечения производства материалами и ПКИ</Hdr3>
                        <Prgf>
                            Сформированная потребность производства используется для формирования заявки службе снабжения (ОМТО) на обеспечение
                            заказов материалами и ПКИ.
                        </Prgf>
                        <Prgf>Перейдите в раздел «Потребности и акты расхода производства изделий»</Prgf>
                        <Img src={img34_1} />
                        <Prgf>и сформируйте заявку действием «Формирование заказа подразделения».</Prgf>
                        <Img src={img34_2} />
                        <Prgf>На форме параметров действия нажмите «ОК». Перейдите «по связям» к сформированному заказу подразделений.</Prgf>
                        <Img src={img34_3} />
                        <Prgf>В заявке потребность на производственную программу сгруппирована и суммирована по номенклатуре.</Prgf>
                        <Img src={img34_4} />
                        <Prgf>Обработка заявки выполняется службой ОМТО в разделе «Заказы подразделений» в системе «Управление закупками».</Prgf>
                        <Img src={img34_5} />
                        <Prgf>
                            В макете процесс управления закупками не рассматривается, но имитируется, что в системе управления закупками сформированы
                            и обработаны приходные ордера (документы прихода на центральный материальный склад).
                        </Prgf>
                        <Prgf>Для имитации прихода выполните в разделе «Заказы подразделений» следующие действия:</Prgf>
                        <Prgf>
                            <p>
                                1) Отметьте в спецификации заказа подразделения все или часть строк;
                                <br />
                                2) Выполните пользовательскую процедуру
                            </p>
                        </Prgf>
                        <Img src={img34_6} />
                        <Prgf>На форме параметров процедуры укажите Дату прихода и Цену за единицу.</Prgf>
                        <Img src={img34_7} />
                        <Prgf>Посмотреть партии, поступившие на склад, можно в разделе «Учет – Товарные запасы – По партиям товара»</Prgf>
                        <Img src={img34_8} />
                        <Hdr3 id={"prg35"}>3.5. Включение в план выпуска нового заказа и перепланирование</Hdr3>
                        <Prgf>Для добавления нового заказа на производство и перепланирования выполните следующую последовательность действий:</Prgf>
                        <Prgf>
                            <p>
                                1) Добавьте новый заказ на производство и включите его в план выпуска (
                                <ChapterLink id={"back35from31"} dstId={"prg31"} onClick={handleChapterLinkClick}>
                                    см. п.3.1
                                </ChapterLink>
                                );
                                <br />
                                2) На плане выпуска выполните «Формирование – Переформировать производственную программу»;
                            </p>
                        </Prgf>
                        <Img src={img35_1} />
                        <Prgf>
                            <p>
                                3) На производственной программе выполните формирование потребностей (
                                <ChapterLink id={"back35from33"} dstId={"prg33"} onClick={handleChapterLinkClick}>
                                    см. п.3.3
                                </ChapterLink>
                                );
                                <br />
                                4) Из потребности производства выполните формирование заявки ОМТО на обеспечение материалами и ПКИ (
                                <ChapterLink id={"back35from34"} dstId={"prg34"} onClick={handleChapterLinkClick}>
                                    см. п.3.4
                                </ChapterLink>
                                ).
                            </p>
                        </Prgf>
                        <Hdr2 id={"prg4"}>4. Оперативное управление производством</Hdr2>
                        <Prgf>Исходным документом для оперативного управления производством является производственная программа.</Prgf>
                        <Prgf>Задачи оперативного управления производством выполняемые производственно-диспетчерским отделом (ПДО) предприятия:</Prgf>
                        <Prgf>
                            <p>
                                1) Обеспечить передачу в сборочный цех ПКИ до даты начала сборки;
                                <br />
                                2) Выдать цехам задания на запуск партий ДСЕ;
                                <br />
                                3) Выдать сборочному цеху задания на сборку изделий;
                                <br />
                                4) Запланировать цехам выпуск ДСЕ и изделий на период планирования (в макете – месяц);
                                <br />
                                5) Контроль запуска и выпуска ДСЕ на соответствие производственной программе;
                                <br />
                                6) Контроль объемов незавершенного производства.
                            </p>
                        </Prgf>
                        <Prgf>Задачи оперативного управления производством выполняемые внутри цехов:</Prgf>
                        <Prgf>
                            <p>
                                1) Запустить партии деталей в производство;
                                <br />
                                2) Скомплектовать и запустить сборку партий СЕ и изделий;
                                <br />
                                3) Выдать задания на выполнение операций обработки партий ДСЕ и сборки изделий;
                                <br />
                                4) Учесть факт выполнение операций обработки партий ДСЕ и сборки изделий;
                                <br />
                                5) Передать готовые ДСЕ в цеха потребители;
                                <br />
                                6) Сдать готовые изделия на СГП;
                                <br />
                                7) Контроль исполнения производственного плана цеха;
                                <br />
                                8) Учесть расход материалов и ПКИ на производство изделий.
                            </p>
                        </Prgf>
                        <Hdr3>4.1. Комплектование и передача в цех ПКИ</Hdr3>
                        <Prgf>В макете реализован следующий процесс обеспечения сборочного цеха ПКИ:</Prgf>
                        <Prgf>
                            <p>
                                1) ПДО из строк производственной программы, содержащих изделия (Уровень входимости = 0), формирует документы
                                «Комплектовочная ведомость» (далее – КВ).
                            </p>
                        </Prgf>
                        <Img src={img41_1} />
                        <Prgf>На форме параметров действия</Prgf>
                        <Img src={img41_2} />
                        <Prgf>в блоке «Включить комплектующие» отключаются чеки «ДСЕ», т.е. указывается что комплектовать только ПКИ.</Prgf>
                        <Prgf>
                            <p>2) В разделе «Документы – Комплектовочные ведомости»</p>
                        </Prgf>
                        <Img src={img41_3} />
                        <Prgf>
                            В заголовках, сформированных КВ действием «Исправить» устанавливается плановая дата комплектования и передачи ПКИ в
                            сборочный цех (колонка «Дата окончания план»).
                        </Prgf>
                        <Img src={img41_4} />
                        <Prgf>
                            <p>3) ЦМС в разделе «Комплектовочные ведомости» отбирает не исполненные КВ (Состояние = «В работе»).</p>
                        </Prgf>
                        <Img src={img41_5} />
                        <Prgf>Из заголовка КВ выполняет действие «Скомплектовать».</Prgf>
                        <Img src={img41_6} />
                        <Prgf>Если комплектование выполняется частями, то в параметре действия указывается количество комплектов.</Prgf>
                        <Prgf>
                            При выполнении комплектования подбираются партии ПКИ, имеющие остатки на ЦМС. Количество скомплектованных изделий
                            (комплектов) отображается в заголовке КВ в колонке «Скомплектовано комплектов». Какие партии комплектующих подобраны и
                            какое количество указано в окне «Комплектование».
                        </Prgf>
                        <Img src={img41_7} />
                        <Prgf>
                            <p>
                                4) Передача комплектов ПКИ с ЦМС в сборочный цех выполняется документом «Расходная накладная на отпуск в
                                подразделение». Формирование документа выполняется в окне «Строки» выделением скомплектованных строк и действием
                                «Формирование…»
                            </p>
                        </Prgf>
                        <Img src={img41_8} />
                        <Prgf>После фактической передачи комплектующих цеху в строках КВ выполняется действие «Состояние – Передано».</Prgf>
                        <Img src={img41_9} />
                        <Prgf>
                            <p>5) При получении ПКИ с ЦМС цех в разделе «Расходные накладные на отпуск в подразделения»</p>
                        </Prgf>
                        <Img src={img41_10} />
                        <Prgf>выполняет на заголовке расходной накладной действие «Отработать с приходом» (подтверждает приход на склад цеха).</Prgf>
                        <Img src={img41_11} />
                        <Prgf>
                            <p>
                                6) После передачи в цех всего количества комплектующих в заголовке КВ выполняется действие «Состояние – Передано».
                                «Дата смены состояние» показывает фактическую дату обеспечения цеха ПКИ.
                            </p>
                        </Prgf>
                        <Img src={img41_12} />
                        <Hdr3>4.2. Выдача заданий на запуск партий ДСЕ и сборку изделий</Hdr3>
                        <Prgf>
                            Партии ДСЕ и изделия в процессе производства сопровождаются документом «Маршрутный лист». ПДО выдает цехам задания на
                            запуск партий ДСЕ формируя из заголовка или строк производственной программы маршрутные листы (далее – МЛ).
                        </Prgf>
                        <Prgf>
                            Формирование МЛ из заголовка производственной программы – это массовое формирование МЛ на интервал дат запуска.
                            Формирование МЛ из строк программы используется для дополнительного запуска (например, на восполнение технологических
                            потерь или брака).
                        </Prgf>
                        <Prgf>
                            Формирование МЛ из заголовка и из строки программы выполняется действием «Формирование – Сформировать маршрутный лист».
                        </Prgf>
                        <Img src={img42_1} />
                        <Prgf>При формировании из заголовка программы на форме параметров</Prgf>
                        <Img src={img42_2} />
                        <Prgf>
                            задается интервал дат запуска (Дата запуска с.. по), на примере выполняется формирование МЛ для строк программы
                            запускаемых («Дата запуска») в июле 2024 г.
                        </Prgf>
                        <Prgf>МЛ формируются и хранятся в разделе «Маршрутные листы».</Prgf>
                        <Img src={img42_3} />
                        <Prgf>Сформированные МЛ имеют «Состояние» = «Новый».</Prgf>
                        <Img src={img42_4} />
                        <Hdr3>4.3. Планирование выпуска ДСЕ и изделий</Hdr3>
                        <Prgf>
                            Планирование цехам выпуска выполняется формированием и утверждением производственных планов цехов на период (месяц).
                            Планирование выполняется в производственной программе:
                        </Prgf>
                        <Prgf>
                            <p>
                                1) Для каждого цеха выполняется из заголовка производственной программы действие «Формирование – Сформировать цеховые
                                планы».
                            </p>
                        </Prgf>
                        <Img src={img43_1} />
                        <Prgf>В параметрах действия указывается</Prgf>
                        <Img src={img43_2} />
                        <Prgf>
                            <p>
                                • «Период» - выбирается месяц плана;
                                <br />
                                • «Подразделение» - выбирается цех плана;
                                <br />• «Включать строки…» - устанавливается чек включения в план по дате выпуска.
                            </p>
                        </Prgf>

                        <Prgf>
                            В результате выполнения действия формируется цеховой план и в строках производственной программы отражается количество ДСЕ
                            включенное в цеховые планы
                        </Prgf>
                        <Img src={img43_3} />
                        <Prgf>
                            <p>
                                2) Для включения строк производственной программы в цеховые планы, сформированные из заголовка программы, для строк
                                выполняется действие «Включить в цеховые планы», для исключения из цехового плана «Исключить…»
                            </p>
                        </Prgf>
                        <Img src={img43_4} />
                        <Prgf>
                            <p>3) Если цех не выполнил план предыдущего месяца, то перенос «недодела» в план текущего месяца выполняется действием</p>
                        </Prgf>
                        <Img src={img43_5} />
                        <Prgf>В параметре действия необходимо указать план, в который переносится недодел.</Prgf>
                        <Prgf>Перенесенное из плана предыдущего месяца количество недодела отображается в плане цеха в колонке «Недодел».</Prgf>
                        <Img src={img43_6} />
                        <Prgf>
                            <p>4) Для сформированного цехового плана рассчитывается плановая загрузка цеха в нормочасах</p>
                        </Prgf>
                        <Img src={img43_7} />
                        <Prgf>
                            Результат расчета отображается в окне «Загрузка подразделения» в колонке «Нормочасы норматив». В колонке «Нормочасы план»
                            отображается трудоемкость цеха в запущенных в производство партиях ДСЕ.
                        </Prgf>
                        <Img src={img43_8} />
                        <Prgf>
                            <p>
                                5) Балансировка загрузки цеха выполняется включением/исключение строк производственной программы из плана цеха. И
                                повторным расчетом плановой загрузки.
                                <br />
                                6) Цеховой план утверждается действием «Состояние – Утвержден». Цеховые планы истекшего периода рекомендуется
                                переводить в состояние «Исполнен».
                            </p>
                        </Prgf>
                        <Hdr3>4.4. Запуск цехом партий деталей</Hdr3>
                        <Prgf>
                            Производственно-диспетчерское бюро цеха (далее – ПДБ) выполняет в разделе «Маршрутные листы» запуск в производство партий
                            деталей, у которых цех первый в маршруте.
                        </Prgf>
                        <Prgf>Последовательность действий следующая:</Prgf>
                        <Prgf>
                            <p>
                                1) ПДБ выдает задание на выдачу материала в производство, выполняя на заголовке МЛ действие «Исправить» и указывает
                                «Дату выдачи в производство».
                            </p>
                        </Prgf>
                        <Img src={img44_1} />
                        <Prgf>
                            <p>
                                2) Материальный склад цеха отбирает МЛ с не пустой датой выдачи в производство и своим складом списания и пустой
                                партией материала.
                            </p>
                        </Prgf>
                        <Img src={img44_2} />
                        <Prgf>Выполняет на заголовке МЛ «Исправить» и на закладке формы редактирования «Дополнительно» в параметре «Партия»</Prgf>
                        <Img src={img44_3} />
                        <Prgf>проверяет наличие материала на складе цеха</Prgf>
                        <Img src={img44_4} />
                        <Prgf>
                            <p>
                                3) Если, как в примере выше, материала на складе цеха недостаточно, то материальный склад цеха из заголовка МЛ
                                оформляет требование на получение материала. Выполняет действие «Сформировать расходную накладную на отпуск» (далее –
                                РН).
                            </p>
                        </Prgf>
                        <Img src={img44_5} />
                        <Prgf>На форме параметров и в буфере формирования нажмите «ОК».</Prgf>
                        <Prgf>
                            <p>4) Требования, сформированные цехами, доступны ЦМС в разделе «Расходные накладные на отпуск в подразделения».</p>
                        </Prgf>
                        <Img src={img44_6} />
                        <Prgf>
                            ЦМС задает в строке спецификации РН партию, указывает выданное количество (действие «Исправить») и переводит РН в
                            «Состояние» - «Отработать с приходом».
                        </Prgf>
                        <Img src={img44_7} />
                        <Prgf>
                            <p>
                                5) При поступлении материала в цех, материальный склад указывает в МЛ партию материала и формирует из МЛ РН списания
                            </p>
                        </Prgf>
                        <Img src={img44_8} />
                        <Prgf>и выполняет на сформированном РН действие «Состояние – Зарезервировать».</Prgf>
                        <Prgf>
                            <p>6) После выдачи материала в производство ПДБ переводит МЛ в «Состояние» = «В работе»</p>
                        </Prgf>
                        <Img src={img44_9} />
                        <Prgf>и печатает МЛ действием</Prgf>
                        <Img src={img44_10} />
                        <Prgf>На форме параметров отчета нажмите «Печать».</Prgf>
                        <Hdr3 id={"prg45"}>4.5. Запуск цехом партий сборочных единиц и изделий</Hdr3>
                        <Prgf>ПДБ сборочного цеха выполняет в разделе «Маршрутные листы» запуск сборки партий СЕ и изделий.</Prgf>
                        <Prgf>Последовательность действий следующая:</Prgf>
                        <Prgf>
                            <p>
                                1) ПДБ формирует из МЛ документ «Комплектовочное требование», выполняя из заголовка МЛ действие «Формирование –
                                Сформировать комплектацию»
                            </p>
                        </Prgf>
                        <Img src={img45_1} />
                        <Prgf>На форме параметров указывает Дату документа</Prgf>
                        <Img src={img45_2} />
                        <Prgf>По связям переходит к сформированному документу</Prgf>
                        <Img src={img45_3} />
                        <Prgf>На заголовке комплектации выполняет действие «Рассчитать остатки»</Prgf>
                        <Img src={img45_4} />
                        <Prgf>
                            Если остатков ПКИ и ДСЕ на складе готовых деталей сборочного цеха достаточно для начала сборки, то ПДБ выдает задание СГД
                            на комплектование, указывая в заголовке комплектации «Дату выдачи в производство» и переводя МЛ в состояние «В работе».
                            ПДБ печатает МЛ и передает на участок первой операции МЛ.
                        </Prgf>
                        <Prgf>
                            <p>
                                2) СГД цеха комплектует партию СЕ или изделия и передает комплектующие на участки сборки. Действия выполняются в
                                разделе «Комплектации».
                            </p>
                        </Prgf>
                        <Img src={img45_5} />
                        <Prgf>На заголовке комплектации выполняется «Скомплектовать»</Prgf>
                        <Img src={img45_6} />
                        <Prgf>Результат комплектования</Prgf>
                        <Img src={img45_7} />
                        <Prgf>
                            в заголовке комплектации в колонке «Скомплектовано» отображается количество скомплектованных изделий, в строках количество
                            скомплектованного по строке. В окне «Партии» отображаются партии, которыми скомплектована строка.
                        </Prgf>
                        <Prgf>
                            <p>3) СГД выдает комплектующие на участки цеха и выполняет на заголовке комплектации действие «Выдать».</p>
                        </Prgf>
                        <Img src={img45_8} />
                        <Prgf>Действие резервирует выданное на участки количество комплектующих.</Prgf>
                        <Prgf>
                            В строках комплектации отображается выданное количество и если выдано количество план, то в строке «Состояние» = «Выдано в
                            производство».
                        </Prgf>
                        <Img src={img45_9} />
                        <Prgf>
                            После выдачи в цех всего количества комплектующих комплектация переводится автоматически в «Состояние» = «Выдано в
                            производство» и СГД формирует документ списания комплектующих действием «Формирование - Сформировать расходную
                            накладную…».
                        </Prgf>
                        <Img src={img45_10} />
                        <Hdr3>4.6. Контроль запуска партий ДСЕ</Hdr3>
                        <Prgf>
                            Для обновления в производственной программе и планах цехов данных о фактическом запуске/выпуске выполняется действие
                            «Рассчитать факт».
                        </Prgf>
                        <Img src={img46_1} />
                        <Prgf>ПДО контролирует исполнение производственной программы, в части запуска партий ДСЕ:</Prgf>
                        <Prgf>
                            <p>1) По дефициту запуска в производственной программе</p>
                        </Prgf>
                        <Img src={img46_2} />
                        <Prgf>
                            <p>
                                2) <PanelLink panelName="MechRecCostProdPlans">Используя панель мониторинга производственной программы</PanelLink>
                            </p>
                        </Prgf>
                        <Prgf>
                            Панель мониторинга производственной программы размещена в рабочем столе. Для работы с панелью кликните на иконку
                            <PanelLink panelName="MechRecCostProdPlans">«Производственная программа»</PanelLink>.
                        </Prgf>
                        <Img src={img46_3} />
                        <Prgf>Выберете в панели Ваш каталог планов производства и переключите «Сортировка» на «Дата запуска».</Prgf>
                        <Img src={img46_4} />
                        <Prgf>
                            Не запущенные в производство строки производственной программы залиты «красным». Кликните дважды на элемент диаграммы и в
                            окне
                        </Prgf>
                        <Img src={img46_5} />
                        <Prgf>
                            кликните на «Маршрутные листы», откроется перечень МЛ и информация о наличии материала детали на складе ЦМС и в цехе.
                        </Prgf>
                        <Img src={img46_6} />
                        <Prgf>Из примера следует, что цех не получил материал с ЦМС и потому не запустил партию в производство.</Prgf>
                        <Prgf>Для партий СЕ или изделий будет отображаться МЛ и Комплектация с остатками комплектующих на СГД сборочного цеха.</Prgf>
                        <Hdr3 id={"prg47"}>4.7. Планирование и учет выполнения работ на участках цехов</Hdr3>
                        <Prgf>Участки цехов работают с запущенными в производство МЛ (Состояние = «В работе»).</Prgf>
                        <Prgf>
                            Планирование работ может выполняться вне системы – мастер передает «бумажный» МЛ на рабочее место выполнения операции,
                            учет выполнения работ выполняет в МЛ действием на операции МЛ «Состояние – Выполнено»
                        </Prgf>
                        <Img src={img47_1} />
                        <Prgf>Планирование работ в системе выполняется в разделе «Сменные задания».</Prgf>
                        <Img src={img47_2} />
                        <Prgf>
                            В макете реализован процесс планирования и учет выполнения работ на рабочих центрах участков механического цеха № 2.
                        </Prgf>
                        <Prgf>Процесс реализуется в разделе «Сменные задания», следующими действиями:</Prgf>
                        <Prgf>
                            <p>1) Формирование сменного задания (далее – СЗ) участка, действием «Сформировать»</p>
                        </Prgf>
                        <Img src={img47_3} />
                        <Prgf>В параметрах действия</Prgf>
                        <Img src={img47_4} />
                        <Prgf>указывается:</Prgf>
                        <Prgf>
                            <p>
                                • «Дата» - дата СЗ;
                                <br />• «Цех, участок» - выбирается участок цеха;
                                <br />• «Смена» - указывается номер смены.
                            </p>
                        </Prgf>
                        <Prgf>
                            <p>2) На заголовке сформированного СЗ вызывается панель выдачи заданий на станки</p>
                        </Prgf>
                        <Img src={img47_5} />
                        <Prgf>
                            <p>
                                3) На <PanelLink panelName="MechRecCostJobsManage">панели выдачи сменного задания</PanelLink>
                            </p>
                        </Prgf>
                        <Img src={img47_6} />
                        <Prgf>
                            Отмечается операция СЗ и станок, на который выдается задание (подсвечиваются «как доступные» только станки группы
                            оборудования указанной в операции);
                        </Prgf>
                        <Prgf>
                            Нажимается кнопка «Включить в задание» и указывается количество передаваемых на станок деталей (по умолчанию равно
                            количеству план в строке СЗ) и включение в задание подтверждается
                        </Prgf>
                        <Img src={img47_7} />
                        <Prgf>
                            Если, как на примере, указанное количество не может быть обработано в данной смене на одном станке (загрузка 202%), то
                            можно операцию «Исключить из задания» и выдать задание на меньшее количество
                        </Prgf>
                        <Img src={img47_8} />
                        <Prgf>
                            После распределения операций на станки нажимается «Выдать задания». И панель закрывается. В СЗ отображаются
                            запланированные к выполнению операции и станки на которых они будут выполняться.
                        </Prgf>
                        <Img src={img47_9} />
                        <Prgf>
                            <p>4) По окончании смены, если выполнен весь объем работ СЗ, то для строк СЗ выполняется «Подтвердить факт»</p>
                        </Prgf>
                        <Img src={img47_10} />
                        <Prgf>Если выполнено меньше запланировано, то действием «Исправить» в строке необходимо указать «Количество факт»</Prgf>
                        <Img src={img47_11} />
                        <Prgf>
                            <p>5) Для отражения факта выполнения операций в МЛ, выполняется отработка СЗ в МЛ</p>
                        </Prgf>
                        <Img src={img47_12} />
                        <Hdr3>4.8. Учет брака и отрыв от партии</Hdr3>
                        <Prgf>
                            Если в процессе выполнения обработки партии выявлено несоответствие (возможен, брак) или обработанную на операции часть
                            партии необходимо выделить в отдельную партию, то на операции МЛ выполняются следующие действия (описание на примере
                            партии обработанной по СЗ частично в п. 4.7):
                        </Prgf>
                        <Prgf>
                            <p>
                                1) На операции «010» партии выявлено несоответствие 2 деталей, на операции формируется документ, отрывающий 2 детали
                                от партии. Документ формируется действием «Формирование – Сформировать акт о браке».
                            </p>
                        </Prgf>
                        <Img src={img48_1} />
                        <Prgf>На форме параметров указывается</Prgf>
                        <Img src={img48_2} />
                        <Prgf>
                            <p>
                                • «Документ: Тип» = «Брак»;
                                <br />• «Количество» = 2.
                            </p>
                        </Prgf>
                        <Prgf>
                            В результате действия в разделе «Планы и отчеты производства изделий» формируется документ с типом «Брак» и количество
                            деталей в партии уменьшается.
                        </Prgf>
                        <Prgf>
                            <p>
                                2) На операции «010» партии не обработано 8 деталей, необходимо выделить их в отдельную партию (выполнить, отрыв от
                                партии). Отрыв выполняется действием «Формирование – Сформировать маршрутный лист». На форме параметров указывается
                                «Каталог» и «Тип».
                            </p>
                        </Prgf>
                        <Img src={img48_3} />
                        <Prgf>В результате действия формируется новый МЛ (новая партия) и в исходном МЛ уменьшается количество деталей.</Prgf>
                        <Prgf>
                            Можно посмотреть какие МЛ оторваны от текущего МЛ действием «Связи – Графическое отображение» или в окне «Маршрутные листы
                            отрыва».
                        </Prgf>
                        <Img src={img48_4} />
                        <Hdr3>4.9. Сдача готовых ДСЕ и изделий</Hdr3>
                        <Prgf>
                            Оформление сдачи готовых ДСЕ и изделий выполняется ПДБ выпускающего цеха из заголовков МЛ. В МЛ должна быть выполнена
                            полностью или частично последняя операция. Формирование сдаточной накладной выполняет действием «Формировать –
                            Сформировать приход из подразделения».
                        </Prgf>
                        <Img src={img49_1} />
                        <Prgf>На форме параметров действия нажмите «ОК» (параметры заполняются из настроек пользователя и данных МЛ).</Prgf>
                        <Prgf>В буфере формирования нажмите «ОК».</Prgf>
                        <Prgf>Склад цеха получателя ДСЕ или склад СГП (готовая продукция) в разделе «Приходы из подразделения»</Prgf>
                        <Img src={img49_2} />
                        <Prgf>Подтверждает факт поступления партии ДСЕ, выполняя на документе действие «Состояние – Отработать как факт»</Prgf>
                        <Img src={img49_3} />
                        <Hdr3>4.10. Контроль сдачи готовых ДСЕ и изделий</Hdr3>
                        <Prgf>ПДО контролирует исполнение производственной программы, в части выпуска партий ДСЕ и изделий:</Prgf>
                        <Prgf>
                            <p>1) По дефициту выпуска в производственной программе</p>
                        </Prgf>
                        <Img src={img410_1} />
                        <Prgf>
                            <p>
                                2) Используя <PanelLink panelName="MechRecCostProdPlans">панель мониторинга производственной программы</PanelLink>
                            </p>
                        </Prgf>
                        <Prgf>В панели мониторинга производственной программы переключите «Сортировка» на «Дата выпуска».</Prgf>
                        <Img src={img410_2} />
                        <Prgf>Кликните дважды на элемент диаграммы и в окне</Prgf>
                        <Img src={img410_3} />
                        <Prgf>Можно просмотреть документы сдачи или готовность партий (исполнение МЛ).</Prgf>
                        <Prgf>ПДБ цеха контролирует исполнение производственного плана цеха, в части выпуска партий ДСЕ и изделий:</Prgf>
                        <Prgf>
                            <p>1) По дефициту выпуска в цеховом плане</p>
                        </Prgf>
                        <Img src={img410_4} />
                        <Prgf>
                            <p>
                                2) Используя панель мониторинга{" "}
                                <PanelLink panelName="MechRecDeptCostProdPlans">«Производственный план цеха»</PanelLink>.
                            </p>
                        </Prgf>
                        <Img src={img410_5} />
                        <Prgf>В панели мониторинга доступны планы цехов с периодом текущий месяц. Выберете план.</Prgf>
                        <Img src={img410_6} />
                        <Prgf>
                            При клике в строке плана на «Заказ» отображаются документы сдачи готовых ДСЕ. При клике в строке плана на «Обозначение»
                            отображаются МЛ и состояние исполнения операций МЛ.
                        </Prgf>
                        <Img src={img410_7} />
                        <Hdr3>4.11. Диспетчирование</Hdr3>
                        <Prgf>ПДО может влиять на производство партий ДСЕ и сборку изделия, следующими действиями:</Prgf>
                        <Prgf>
                            <p>
                                1) При недостатке ПКИ для приоритетного заказа переносить скомплектованные, но не выданные, партии ПКИ с КВ других
                                заказов.
                            </p>
                        </Prgf>
                        <Img src={img411_1} />
                        <Prgf>
                            <p>
                                2) Если у ДСЕ несколько Маршрутов изготовления или МК, то при запуске партии ДСЕ возможно изменение в строках
                                производственной программы Маршрута/МК, действием «Корректировка маршрута».
                            </p>
                        </Prgf>
                        <Img src={img411_2} />
                        <Prgf>ПДБ цеха может влиять на производство партий ДСЕ и сборку изделия, следующими действиями:</Prgf>
                        <Prgf>
                            <p>
                                1) В панели <PanelLink panelName="MechRecDeptCostProdPlans">«Производственный план цеха»</PanelLink> изменяет
                                приоритет обработки партии ДСЕ или сборки изделия. Приоритет определяет порядок включения операций МЛ в сменные
                                задания.
                            </p>
                        </Prgf>
                        <Img src={img411_3} />
                        <Prgf>
                            <p>
                                2) При необходимости, часть запущенных в производство партий ДСЕ других заказов переносит на заказ, исполнение
                                которого надо ускорить. Выполняет отрыв МЛ (см. п. 4.8) и смена заказа в МЛ отрыва (действие «Исправить» в заголовке
                                МЛ).
                            </p>
                        </Prgf>
                        <Prgf>
                            <p>
                                3) Для партии ДСЕ в процессе производства можно изменить операции действием «Заменить операции» или изменить «Цех,
                                участок» в не выполненной операции МЛ (действие «Исправить»).
                            </p>
                        </Prgf>
                        <Img src={img411_4} />
                        <Hdr3>4.12. Списание материалов и ПКИ</Hdr3>
                        <Prgf>В макете реализован следующий порядок работы склада цеха:</Prgf>
                        <Prgf>
                            <p>
                                1) При выдаче материала на партию деталей формируется акт списания. Выполняется действием «Формирование – Сформировать
                                расходную накладную (списание…)
                            </p>
                        </Prgf>
                        <Img src={img412_1} />
                        <Prgf>В параметрах действие указывается «Списывать основной материал»</Prgf>
                        <Img src={img412_2} />
                        <Prgf>Сформированный РН списания резервируется</Prgf>
                        <Img src={img412_3} />
                        <Prgf>
                            <p>
                                2) При выдаче комплектующих в Комплектации МЛ резервирование выполняется автоматически при выполнении действия
                                «Выдать» (
                                <ChapterLink id={"back412from45"} dstId={"prg45"} onClick={handleChapterLinkClick}>
                                    см. п. 4.5
                                </ChapterLink>
                                ).
                            </p>
                        </Prgf>
                        <Prgf>
                            <p>
                                3) Списание материалов и комплектующих на затраты заказа с передачей данных в Бухгалтерский учет выполняется в разделе
                                «Расходные накладные на отпуск в подразделение» действием «Состояние – Отработать»
                            </p>
                        </Prgf>
                        <Img src={img412_4} />
                        <Prgf>
                            Для списания комплектующих, перед выполнение отработки, необходимо снять резервирование на Комплектации, связанной с
                            расходной накладной.
                        </Prgf>
                        <Hdr3>4.13. Учет незавершенного производства</Hdr3>
                        <Prgf>
                            Учет незавершенного производства (количество, текущее состояние и накопленные прямые затраты запушенных в производство
                            партий ДСЕ) выполняется автоматически в разделе «Журнал учета НЗП».
                        </Prgf>
                        <Img src={img413_1} />
                        <Prgf>В журнале учета НЗП хранятся данные о партиях ДСЕ и текущем состоянии партий.</Prgf>
                        <Prgf>
                            При сдаче партии готовых ДСЕ, калькуляция прямых затрат партии в приходе из подразделения формируется на основании данных
                            партии в журнале учета НЗП.
                        </Prgf>
                        <Img src={img413_2} />
                        <Prgf>В Журнале выполняется анализ незавершенного производства, например, такие действия:</Prgf>
                        <Prgf>
                            <p>1) В окне «Партии НЗП» включите фильтр на колонке «Общий остаток»</p>
                        </Prgf>
                        <Img src={img413_3} />
                        <Prgf>
                            Отображается список партий ДСЕ, находящихся в процессе производства, с информацией о количестве ДСЕ и сумме накопленных
                            прямых затрат.
                        </Prgf>
                        <Prgf>
                            <p>
                                2) В окне «Состояние НЗП» включить фильтр по колонке «Текущий остаток», для партии НЗП в окне отображается информация
                                «на каких операциях находится партия».
                            </p>
                        </Prgf>
                        <Img src={img413_4} />
                        <Prgf>
                            <p>3) В окне «Калькуляция НЗП» анализируется отклонение фактических материальных затрат от нормативных.</p>
                        </Prgf>
                        <Img src={img413_5} />
                        <Prgf>
                            Для материальных статей в окне «Детализация затрат…» в колонке «Документ-основание» отображается документ списания затрат.
                            Если для партии не выполнено списание материалов/ПКИ, то фактические затраты будут нулевыми.
                        </Prgf>
                        <Hdr3>4.14. Загрузка станков цеха</Hdr3>
                        <Prgf>
                            В макете под загрузкой станков цеха понимается фактическая (для предыдущих дней) или плановая (для текущего и будущих
                            дней) трудоемкость операций, выданных на станки цеха в сменных заданиях (
                            <ChapterLink id={"back414from47"} dstId={"prg47"} onClick={handleChapterLinkClick}>
                                см. п.4.7
                            </ChapterLink>
                            ).
                        </Prgf>
                        <Prgf>
                            Для мониторинга загрузки станков используйте панель <PanelLink panelName="MechRecDeptCostJobs">«Загрузка цеха»</PanelLink>
                            , размещенную на рабочем столе.
                        </Prgf>
                        <Img src={img414_1} />
                        <Prgf>На панели необходимо выбрать цех и возможно выбрать предыдущие периоды (месяцы).</Prgf>
                        <Img src={img414_2} />
                        <Img src={img414_3} />
                        <Hdr2 id={"add1"}>Приложение: Краткая инструкция по настройке интерфейса</Hdr2>
                        <Prgf>
                            Инструменты настройки интерфейса одинаковы для всех разделов и будут рассмотрены на примере раздела «Планы и отчеты
                            производства изделий».
                        </Prgf>
                        <Prgf>
                            <p>1) Сортировка, включение/отключение колонок, фильтры</p>
                        </Prgf>
                        <Img src={imgAdd1_1} />
                        <Prgf>
                            <p>2) Включение/Отключение панели инструментов</p>
                        </Prgf>
                        <Img src={imgAdd1_2} />
                        <Prgf>
                            <p>3) Настройки действием «Настройка». Выполняется горячей клавишей Alt+Enter или в контекстном меню</p>
                        </Prgf>
                        <Img src={imgAdd1_3} />
                        <Prgf>
                            В окне настроек на закладке «Общие» выполняется включение/отключение окон, например, так отключается окно «Загрузка
                            подразделений».
                        </Prgf>
                        <Img src={imgAdd1_4} />
                        <Prgf style={{ backgroundColor: "LightYellow", padding: "5px" }}>
                            <b style={{ color: "red" }}>Внимание!!!</b> Введенные настройки сохраняются при нажатии «ОК». Кнопка «Очистить» возвращает
                            настройки к значениям по умолчанию.
                        </Prgf>
                        <Prgf>В окне «Колонки» выполняется последовательность колонок и фиксирование указанного количества колонок</Prgf>
                        <Img src={imgAdd1_5} />
                        <Prgf>В окне «Оформление» действием «Добавить»</Prgf>
                        <Img src={imgAdd1_6} />
                        <Prgf>
                            определяются правила заливки цветом ячеек или строк (если включен чек), например, заливка желтым цветом ячеек «Дефицит
                            запуска», если значение не равно нулю.
                        </Prgf>
                        <Img src={imgAdd1_7} />
                        <Prgf>
                            В окне «Действия» включаются/отключаются действия на панели инструментов. На примере, отключены действия «Состояние».
                        </Prgf>
                        <Img src={imgAdd1_8} />
                        <Prgf>
                            В окне «Пользовательские отчеты» отображается перечень отчетов, связанных с разделом. Двойным кликом на строку выполняется
                            включение/исключение действия формирования отчета в контекстном меню. Например, в разделе «Маршрутные листы» включено
                            действие формирования отчета «Маршрутный лист».
                        </Prgf>
                        <Img src={imgAdd1_9} />
                    </Box>
                </Grid>
            </Grid>
        </Box>
    );
};

//----------------
//Интерфейс модуля
//----------------

export { MechRecHelp };
